petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawCoordinateToPixel

given a coordinate in a PetscDraw returns the pixel location

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawCoordinateToPixel(PetscDraw draw,PetscReal x,PetscReal y,int *i,int *j)

Not collective

### Input Parameters

| draw | - the draw where the coordinates are defined
| x,y | - the coordinate location

### Output Parameters

i,j -the pixel location

### Level

developer

### Location

src/sys/classes/draw/interface/drect.c

### Implementations

PetscDrawCoordinateToPixel_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawCoordinateToPixel_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawCoordinateToPixel_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages